#!/bin/bash

SP=/dev/ttyO4
FWPGM=MEP.hex
UPDPGM=FWupdate


if [ -n "`cat /proc/version | grep Debian`" ] ; then
    echo "This is debian"

    if [ ! -e DEB ] ; then
        echo "Error: no DEB folder for this architecture."
        exit
    fi
    SRCDIR=DEB

elif [ -n "`cat /proc/version | grep ARCH`" ] ; then
    echo "This is ARCH"
    if [ ! -e ARCH ] ; then
        echo "Error: no ARCH folder for this architecture."
        exit
    fi
    SRCDIR=ARCH
else
    echo "ERROR: could not detect the OS."
    exit
fi

sudo systemctl stop KA.service

echo "Applying Sixaola FirmWare Update"
$SRCDIR/$UPDPGM $SP $FWPGM
rc=$?
if [ "$rc" -ne 0 ] ; then
	echo
	echo "Firmware update FAILED! (rc = $rc)"
	echo "Investigate, fix problem, and try again"

else
    echo "Firmware successfully updated"

fi
echo
